## llvm-toolchain-snapshot 20~++20240726085032+92a06546ab50

=== debian/changelog ===
llvm-toolchain-snapshot (1:20~++20240726085032+92a06546ab50-1~exp2ubuntu1) oracular; urgency=medium

  * Add a .gitignore file with all toplevel upstream files and directories.
  * Add some memory tracking, getting some information on memory hogs.
  * Don't require g++-multilib on s390x for newer Ubuntu releases.
  * Factor-out ocaml architectures.
  * Don't try to install xray and profile headers on armel and armhf.
  * Disable ocaml on armhf, requires ocamlopt.
  * Factor-out omp architectures.
  * Disable openmp on riscv64 (ld: cannot find -lomptarget.rtl.host).
  * Factor-out flang architectures.
  * Disable flang on mips64el (currently not supported).
  * Don't try to install hwasan_symbolize on x32.
  * Don't try to install xray and profile headers on x32.
  * Fix installation of the shared libllvm and libclang-cpp libraries
    under their soname. Addresses: #1072200.
  * Drop some of the unnecessary libllvm symlinks.
  * debian/orig-tar.sh: Don't include .git/.github metadata.
  * debian/patches/100986.diff: Pull upstream patch to build with recent glibc.
  * debian/rules: Don't create a stamp for the override_dh_auto_install target.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Aug 2024 15:35:36 +0200

llvm-toolchain-snapshot (1:20~++20240726085032+92a06546ab50-1~exp2) experimental; urgency=medium

  * Ship usr/lib/llvm-20/lib/clang/20/include/llvm_offload_wrappers in
    libclang-common-20-dev
  * Ship /usr/lib/llvm-20/lib/libFlangOpenMPTransforms.a in
    libflang-20-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Aug 2024 19:19:23 +0200

llvm-toolchain-snapshot (1:20~++20240726085032+92a06546ab50-1~exp1) experimental; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable LLVM testsuite on x32
  * Install liborc_rt-x86_64.a on x32
  * Install hwasan_symbolize on x32

  [ Norbert Lange ]
  * build lldb with Intel PT support on x86, amd64

  [ Sylvestre Ledru ]
  * Adjust the clang-X-doc path after the change
    d7dd778cde84110e38521a6b55dfeb4e1c649ec2
  * bring back clang-nvlink-wrapper
    following upstream commit: 37d0568a6593adfe791c1327d99731050540e97a
  * rename llvm-omp-device-info to llvm-offload-device-info
    following 7102592af740ed9f8b388c12dd2182039a58167d
  * ship llvm-ctxprof-util in llvm-X.Y-tools
  * ship llvm-cgdata in llvm-X.Y-tools
  * snapshot is now 20

  [ Matthias Klose ]
  * Pass --package-metadata on distros with supporting linkers (starting
    with Debian trixie and Ubuntu noble).
    The package metadata is constructed from the environment variables
    ELF_PACKAGE_METADATA.
    Setting NO_PKG_METADATA=1 disables the generation of the package metadata.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 26 Jul 2024 08:50:50 +0200
