## llvm-toolchain-snapshot 20~++20240921071058+b177a9b6efb6

=== debian/changelog ===
llvm-toolchain-snapshot (1:20~++20240921071058+b177a9b6efb6-1~exp1ubuntu1) oracular; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Sep 2024 11:49:28 +0200

llvm-toolchain-snapshot (1:20~++20240921071058+b177a9b6efb6-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Add a .gitignore file with all toplevel upstream files and directories.
  * Add some memory tracking, getting some information on memory hogs.
  * Don't require g++-multilib on s390x for newer Ubuntu releases.
  * Factor-out ocaml architectures.
  * Don't try to install xray and profile headers on armel and armhf.
  * Disable ocaml on armhf, requires ocamlopt.
  * Factor-out omp architectures.
  * Disable openmp on riscv64 (ld: cannot find -lomptarget.rtl.host).
  * Factor-out flang architectures.
  * Disable flang on mips64el (currently not supported).
  * Don't try to install hwasan_symbolize on x32.
  * Don't try to install xray and profile headers on x32.
  * Fix installation of the shared libllvm and libclang-cpp libraries
    under their soname. Addresses: #1072200.
  * Drop some of the unnecessary libllvm symlinks.
  * debian/orig-tar.sh: Don't include .git/.github metadata.
  * debian/rules: Don't create a stamp for the override_dh_auto_install target.
  * debian/rules. Call again dh_ocaml. Closes: #1078235.
  * Disable openmp on mips64el (ld: cannot find -lomptarget.rtl.host).
  * Disable memory tracking on the Hurd and some ports architectures.
  * Also explicitly link with -latomic on mips64el.
  * Build without z3 on sh4 (ftbfs).
  * Also configure with -DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD="M68k;Xtensa".
  * debian/qualify-clang.sh: Don't check for libclang-cpp.so.$VERSION symlink.
  * debian/tests/*: s/18/20/g.
  * libllvm20: Restore the symlink /usr/lib/llvm-20/lib/libLLVM.so.1, apparently
    CMake's LLVMExports.cmake requires it. But why?
  * Disable z3 again for Ubuntu, and make the libz3-dev (build) dependency
    conditional.
  * Use -mxgot on mips64el.
  * Disable tests on mips64el, they do timeout.
  * Consolidate disabling CMake's package validation checks a bit.
  * debian/qualify-clang.sh: Skip OpenMP test, if libomp-dev is not available.
  * Disable CMake's package validation check for libLLVM.so.1.
  * Disable the usage-wrapper/memory tracking by default.
  * Limit lldb autopkg test to the lldb architectures.
  * Generate debian/tests/* files.
  * Replace LLDB_DISABLE_ARCHS macro with LLDB_ARCHS macro.
  * Remove unused kfreebsd patches, and remove references to kfreebsd and s390.
  * Remove references to alpha, hppa, powerpcspe and sh4.
  * Fix usage-wrapper build dependency.
  * Move the libLLVM.so.1 symlink into llvm-20-dev.
  * debian/qualify-clang.sh: Skip llvmlibc test, if libllvmlibc-dev is not
    available.
  * Don't relax versioned shlibs dependencies for snapshot builds and
    release versions.
  * libllvm20: No symlinks in the llvm-20 subdir. Addresses: #1081192, #1082495.

  [ Samuel Thibault ]
  * Add hurd-amd64 support.

  [ Aurelien Jarno ]
  * Enable lldb on riscv64.
  * Enable lldb autopkgtest on riscv64.

  [ YunQiang Su ]
  * also pass -mxgot in LDFLAGS.
  * d/p/mips-mlir-xgot.diff: Pass -mxgot for mlir.

  [ Sylvestre Ledru ]
  * New snapshot release
  * Remove clang-rename
    https://github.com/llvm/llvm-project/commit/40c45b6b43180221acb49f387e7d3158adf49e3e
  * Ensure that at least 1 CPU is used for build
    Thanks to Santiago Vila for the patch
    (Closes: #1082360)
  * Remove clang-pseudo
    https://github.com/llvm/llvm-project/pull/109154

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Sep 2024 19:12:01 +0200

llvm-toolchain-snapshot (1:20~++20240919085205+77af9d10237f-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Add a .gitignore file with all toplevel upstream files and directories.
  * Add some memory tracking, getting some information on memory hogs.
  * Don't require g++-multilib on s390x for newer Ubuntu releases.
  * Factor-out ocaml architectures.
  * Don't try to install xray and profile headers on armel and armhf.
  * Disable ocaml on armhf, requires ocamlopt.
  * Factor-out omp architectures.
  * Disable openmp on riscv64 (ld: cannot find -lomptarget.rtl.host).
  * Factor-out flang architectures.
  * Disable flang on mips64el (currently not supported).
  * Don't try to install hwasan_symbolize on x32.
  * Don't try to install xray and profile headers on x32.
  * Fix installation of the shared libllvm and libclang-cpp libraries
    under their soname. Addresses: #1072200.
  * Drop some of the unnecessary libllvm symlinks.
  * debian/orig-tar.sh: Don't include .git/.github metadata.
  * debian/rules: Don't create a stamp for the override_dh_auto_install target.
  * debian/rules. Call again dh_ocaml. Closes: #1078235.
  * Disable openmp on mips64el (ld: cannot find -lomptarget.rtl.host).
  * Disable memory tracking on the Hurd and some ports architectures.
  * Also explicitly link with -latomic on mips64el.
  * Build without z3 on sh4 (ftbfs).
  * Also configure with -DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD="M68k;Xtensa".
  * debian/qualify-clang.sh: Don't check for libclang-cpp.so.$VERSION symlink.
  * debian/tests/*: s/18/20/g.
  * libllvm20: Restore the symlink /usr/lib/llvm-20/lib/libLLVM.so.1, apparently
    CMake's LLVMExports.cmake requires it. But why?
  * Disable z3 again for Ubuntu, and make the libz3-dev (build) dependency
    conditional.
  * Use -mxgot on mips64el.
  * Disable tests on mips64el, they do timeout.
  * Consolidate disabling CMake's package validation checks a bit.
  * debian/qualify-clang.sh: Skip OpenMP test, if libomp-dev is not available.
  * Disable CMake's package validation check for libLLVM.so.1.
  * Disable the usage-wrapper/memory tracking by default.
  * Limit lldb autopkg test to the lldb architectures.
  * Generate debian/tests/* files.
  * Replace LLDB_DISABLE_ARCHS macro with LLDB_ARCHS macro.

