=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,12 @@
 GXX_VERSIONED_EXECUTABLE := $(shell dpkg -L $(GXX_VERSIONED_PACKAGE) | grep '/usr/bin/g++-[0-9][0-9.]*' | xargs ls -d | tail -n1 )
 GCC_VERSION              := $(subst /usr/bin/g++-,,$(GXX_VERSIONED_EXECUTABLE))
 
+PKG_VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
 LLVM_EPOCH := 1:
-LLVM_VERSION   := $(shell dpkg-parsechangelog | sed -rne "s,^Version: 1:([0-9]+).*,\1,p")
-LLVM_VERSION_FULL := $(shell dpkg-parsechangelog | sed -rne "s,^Version: 1:([0-9.]+)(~|-)(.*),\1,p")
-LLVM_VERSION_MINOR := $(shell dpkg-parsechangelog | sed -rne "s,^Version: 1:[0-9]+\.([0-9]+)\.[0-9]+.*,\1,p")
-LLVM_VERSION_SNAPSHOT := $(shell dpkg-parsechangelog | sed -rne "s,^Version: 1:(.*),\1,p")
+LLVM_VERSION   := $(shell echo $(PKG_VERSION) | sed -rne "s,^1:([0-9]+).*,\1,p")
+LLVM_VERSION_FULL := $(shell echo $(PKG_VERSION) | sed -rne "s,^1:([0-9.]+)(~|-)(.*),\1,p")
+LLVM_VERSION_MINOR := $(shell echo $(PKG_VERSION)  | sed -rne "s,^1:[0-9]+\.([0-9]+)\.[0-9]+.*,\1,p")
+LLVM_VERSION_SNAPSHOT := $(shell echo $(PKG_VERSION) | sed -rne "s,^1:(.*),\1,p")
 ifeq ($(LLVM_VERSION),$(LLVM_VERSION_FULL))
 	LLVM_VERSION_FULL := $(LLVM_VERSION).0.0
 	LLVM_VERSION_MINOR := 0
@@ -62,9 +63,9 @@
 # Manage the case when the version is 3.5~svn213052-1~exp1 or 3.4.2-1
 DEBIAN_REVISION := $(shell dpkg-parsechangelog |  sed -rne "s,^Version: 1:([0-9.]+)(~|-)(.*),\3,p")
 ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
-  NCPUS := $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+	NCPUS := $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 else
-  NCPUS := $(shell nproc)
+	NCPUS := $(shell nproc)
 endif
 
 # this contains all packages to be built. Note that for at least the clean target,
@@ -72,7 +73,7 @@
 packages := $(shell dh_listpackages)
 
 # no 32bit support
-FLANG_ARCHS := amd64 arm64 ppc64el kfreebsd-amd64 ppc64 sparc64 riscv64 loong64
+FLANG_ARCHS := amd64 arm64 ppc64el ppc64 sparc64 riscv64 loong64
 
 # flang has some memory hogs, of up to 6.2gb per process. Limit the parallel jobs
 # based on the available memory
@@ -81,12 +82,15 @@
 else
   MEM_PER_CPU=2100
 endif
+
 NJOBS := $(shell mt=`awk '/^(MemAvail|SwapFree)/ { mt += $$2 } END {print mt}' /proc/meminfo`; \
 		awk -vn=$(NCPUS) -vmt=$$mt -vm=$(MEM_PER_CPU) \
-		  'END { mt/=1024; n2 = int(mt/m); print n==1 ? 1 : n2<n+1 ? n2 : n+1}' < /dev/null)
+		  'END { mt/=1024; n2 = int(mt/m); print n==1 || n2<=1 ? 1 : n2<=n ? n2 : n }' < /dev/null)
 
-TIME_COMMAND = /bin/time -v
 TIME_COMMAND = $(CURDIR)/debian/usage-wrapper.py $(SUMMARY_ONLY) -j $(NJOBS) --base-memory -m 4.0 -o usage-$(notdir $@)-$(DEB_HOST_ARCH).svg
+TIME_BIN := $(if $(wildcard /usr/bin/time),/usr/bin/time,/bin/time)
+TIME_COMMAND = $(TIME_BIN) -v
+USAGE_BUILD_DEP = $(EMPTY) time,
 ifneq (,$(findstring usage-wrapper, $(TIME_COMMAND)))
   ifeq ($(DERIVATIVE),Ubuntu)
     USAGE_BUILD_DEP = $(EMPTY) python3:any, python3-psutil, python3-matplotlib [!i386],
@@ -94,7 +98,13 @@
       SUMMARY_ONLY = --summary-only
     endif
   else
-    USAGE_BUILD_DEP = $(EMPTY) python3:any, python3-psutil, python3-matplotlib,
+    USAGE_BUILD_DEP = $(EMPTY) python3:any, python3-psutil [!hurd-i386 !hurd-amd64], python3-matplotlib [!m68k !sh4 !x32 !hurd-i386 !hurd-amd64],
+    ifneq (,$(filter $(DEB_HOST_ARCH), hurd-i386 hurd-amd64))
+      TIME_COMMAND = $(TIME_BIN) -v
+    endif
+    ifneq (,$(filter $(DEB_HOST_ARCH), m68k sh4 x32))
+      SUMMARY_ONLY = --summary-only
+    endif
   endif
 endif
 
@@ -102,10 +112,10 @@
 
 include /usr/share/dpkg/architecture.mk
 
-MULTILIB_ARCHS := amd64 i386 kfreebsd-amd64 mips64 mips64el mipsel powerpc ppc64 s390 s390x sparc sparc64 x32
+MULTILIB_ARCHS := amd64 i386 mips64 mips64el mipsel powerpc ppc64 s390x sparc sparc64 x32
 ifeq ($(DERIVATIVE),Ubuntu)
   ifeq (,$(filter $(DISTRO), bionic focal jammy noble))
-    MULTILIB_ARCHS := $(filter-out s390 s390x, $(MULTILIB_ARCHS))
+    MULTILIB_ARCHS := $(filter-out s390x, $(MULTILIB_ARCHS))
   endif
 endif
 
@@ -176,7 +186,7 @@
 STAGE_1_CMAKE_EXTRA += -DLLVM_PARALLEL_LINK_JOBS=4
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH),i386 hurd-i386 kfreebsd-i386 armel mipsel powerpc powerpcspe riscv64))
+ifneq (,$(filter $(DEB_HOST_ARCH),i386 hurd-i386 armel mipsel mips64el powerpc riscv64))
 # For some reason, in the stage2 build, when clang is used to compile
 # itself. The atomic detection is failing on armel and riscv64. Forcing the inclusion
 # everywhere and in all stages
@@ -184,16 +194,3 @@
 endif
 
 Z3_FLAG = -DLLVM_ENABLE_Z3_SOLVER=OFF
-ifeq ($(shell dpkg --compare-versions $(shell dpkg-query -W -f '$${Version}' libz3-dev) gt 4.7.0; echo $$?),0)
-# no ocaml support in main for Ubuntu
-ifeq ($(DERIVATIVE),Debian)
-	Z3_FLAG = -DLLVM_ENABLE_Z3_SOLVER=ON
-endif
-endif
-STAGE_2_CMAKE_EXTRA += $(Z3_FLAG)
-
-# Change the default CPU for s390x
-ZARCH=z196
-ifeq ($(DERIVATIVE),Ubuntu)
-ZARCH=z13
-endif
