## llvm-toolchain-snapshot 20~++20241212011120+0cbdad4bd239

=== debian/changelog ===
llvm-toolchain-snapshot (1:20~++20241212011120+0cbdad4bd239-1~exp1ubuntu4) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:57:25 +0100

llvm-toolchain-snapshot (1:20~++20241212011120+0cbdad4bd239-1~exp1ubuntu3) plucky; urgency=medium

  [ Matthias Klose ]
  * bolt: Disable the check for /proc/self/map_files. Might not be available
    on build machines. LP: #2084316.
  * Fix compatibility with Python 3.13. Closes: #1084659.

  * Unset the BD_ALT_HELLO macro and regenerate the control file.
  * Try to fix the armhf build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Dec 2024 09:23:52 +0100

llvm-toolchain-snapshot (1:20~++20241212011120+0cbdad4bd239-1~exp1) experimental; urgency=medium

  * Only build libc on supported arch (for real)
  * Ship bolt-binary-analysis in bolt

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 12 Dec 2024 13:22:30 +0100

llvm-toolchain-snapshot (1:20~++20241205084449+66a0a081338d-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Build-depend on llvm-spirv-19 instead of llvm-spirv-18.
  * d/libclang-cppX.Y.links.in: Honor LLVM_VERSION_MINOR for the symlink.
  * Update watch file and add .git* files to exclude in the tarball.
  * d/rules: Add a BD_ALT_HELLO macro. Set it to anything else than "yes" to avoid
    generating alternative build dependencies on hello in the control file.

  [ Samuel Thibault ]
  * debian/libclang-common-X.Y-dev.install.in: Fix dh_install on hurd-any.

  [ John Paul Adrian Glaubitz ]
  * Don't try to install xray and profile headers on powerpc
  * Install liborc_rt-powerpc64.a on powerpc
  * Allow overriding the bootstrap compiler from the environment
  * Set compiler-rt default target arch on powerpc
  * Restrict compiler-rt build to default target arch on powerpc

  [ Sylvestre Ledru ]
  * experimental New snapshot release
  * flang-new has been renamed to flang (a flang-new still exists)
  * Use the | hello trick for g++-multilib for s390x / Ubuntu Oracular
  * Also install usr/lib/llvm-20/lib/libgomp.so.1 (links)
    Follow eccdb2489483ca58d2cb35bc38967a8e33117575
  * Ship fir-lsp-server in flang-20
  * Ship clang-sycl-linker in clang-tools
  * remove libLibcTableGenutil.a
    Removed in https://github.com/llvm/llvm-project/pull/117220/files
  * Ship liboffload in a new package

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 06 Dec 2024 18:14:31 +0100

llvm-toolchain-snapshot (1:20~++20241008102056+4d218caa7716-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Build-depend on llvm-spirv-19 instead of llvm-spirv-18.
  * d/libclang-cppX.Y.links.in: Honor LLVM_VERSION_MINOR for the symlink.
  * Update watch file and add .git* files to exclude in the tarball.

  [ Samuel Thibault ]
  * debian/libclang-common-X.Y-dev.install.in: Fix dh_install on hurd-any.

  [ Sylvestre Ledru ]
  * New snapshot release
  * sync from 19 => snapshot

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Oct 2024 10:21:13 +0200

llvm-toolchain-19 (1:19.1.1-2) UNRELEASED; urgency=medium

  * Update Standards version to 4.7.0

  [ Samuel Thibault ]
  * patches/hurd/hurd-f_type.diff: Fix hurd build against glibc ≥ 2.39.
  * libomp-X.Y-dev.install.in: Don't try to ship ompd gdb plugin on
    hurd-amd64 ; ship libomptarget.
  * libomp5-X.Y.install.in: Ship libomptarget.
  * libomp5-X.Y.symbols.in: Fix symbols on hurd-any.
  * rules: Fix syntax on non-linux.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 02 Oct 2024 10:29:32 +0200

llvm-toolchain-19 (1:19.1.1-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Don't enable intel-pt on Ubuntu Bionic
  * Add disabled info in the build log
  * Disable LLVM libc on bionic
  * Fix the bootstrapping (Closes: #1082610)
    Thanks to Andrey Feofilaktov for the patch
  * clang provides objc++-compiler (Closes: #1082744)

  [ Matthias Klose ]
  * New upstream release
  * Update watch file and add .git* files to exclude in the tarball.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Oct 2024 06:11:01 +0200

llvm-toolchain-19 (1:19.1.0-4) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Adjust the workaround for apt.llvm.org version upgrades
    https://github.com/llvm/llvm-project/issues/109276
  * Ensure that at least 1 CPU is used for build
    Thanks to Santiago Vila for the patch
    (Closes: #1082360)

  [ Matthias Klose ]
  * Don't relax versioned shlibs dependencies for snapshot builds and
    prerelease versions.
  * libllvm19: No symlinks in the llvm-19 subdir. Closes: #1081192, #1082495.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Sep 2024 16:36:31 +0200

llvm-toolchain-19 (1:19.1.0-3) unstable; urgency=medium

  * Fix typo in dh_makeshlibs calls.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Sep 2024 17:26:29 +0200

llvm-toolchain-19 (1:19.1.0-2) unstable; urgency=medium

  * Call dh_makeshlibs with the version of the first upstream
    release (1:19.1.0). Looking back at the 1.18 release cycle,
    these libraries didn't see any instability in the ABIs.
  * debian/qualify-clang.sh: Fix typo.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Sep 2024 10:29:19 +0200

llvm-toolchain-19 (1:19.1.0-1) unstable; urgency=medium

  * New upstream release 19.1.0.

  [ Matthias Klose ]
  * debian/qualify-clang.sh: Skip llvmlibc test, if libllvmlibc-dev is not
    available.
  * Build-depend on llvm-spirv-19.

  [ YunQiang Su ]
  * also pass -mxgot in LDFLAGS.
  * d/p/mips-mlir-xgot.diff: Pass -mxgot for mlir.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Sep 2024 18:04:21 +0200

llvm-toolchain-19 (1:19.1.0~++rc4-5) unstable; urgency=medium

  * Move the libLLVM.so.1 symlink into llvm-19-dev. Closes: #1081192.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2024 11:20:16 +0200

llvm-toolchain-19 (1:19.1.0~++rc4-4) unstable; urgency=medium

  [ Matthias Klose ]
  * Consolidate disabling CMake's package validation checks a bit.

