=== debian/rules ===
--- 
+++ 
@@ -66,6 +66,15 @@
 	NCPUS := $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 else
 	NCPUS := $(shell nproc)
+endif
+
+# set this macro to anything else than "yes" to avoid generating alternative
+# build dependencies on hello in the control file.
+#BD_ALT_HELLO = yes
+ifeq ($(BD_ALT_HELLO),yes)
+  BD_ALT_HELLO_SUBST = 's/@hb@//;s/@he@//'
+else
+  BD_ALT_HELLO_SUBST = 's/@hb@.*@he@//'
 endif
 
 # this contains all packages to be built. Note that for at least the clean target,
@@ -186,11 +195,3 @@
 STAGE_1_CMAKE_EXTRA += -DLLVM_PARALLEL_LINK_JOBS=4
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH),i386 hurd-i386 armel mipsel mips64el powerpc riscv64))
-# For some reason, in the stage2 build, when clang is used to compile
-# itself. The atomic detection is failing on armel and riscv64. Forcing the inclusion
-# everywhere and in all stages
-LDFLAGS_EXTRA += -latomic
-endif
-
-Z3_FLAG = -DLLVM_ENABLE_Z3_SOLVER=OFF
